![Topic: Cheatsheets](https://img.shields.io/badge/topic-Cheatsheets-green.svg)
![Topic: Notes](https://img.shields.io/badge/topic-Notes-green.svg)
![Status: Incomplete](https://img.shields.io/badge/status-Incomplete-red.svg)

# Elf's Notes

Over the Winter of 2021-2022, I went through a housecleaning project, cleaning
out literally thousands of miscellaneous documents in text, markdown, org-mode,
[muse](https://www.gnu.org/software/emacs-muse/index.html), HTML, and a variety
of other formats, picking and choosing which should survive, which I cared
about, and which ones had to go.

When I was done, I still had a very large collection of files that cover a
30-year career, and I still don't have them organized very much. So this project
is the end-result of my trying to organize them, and to help myself find the
things I know I know, and to learn what I don't know.

The notes are kept in [Zola](https://getzola.org), a static site generator
written in Rust.  It's meant to also be a decent demo of my web skills.

## Topics

Fittingly, the first topic I've added to the repository is my cheat sheet for
Zola itself.  Eventually, though, I'm going to add whatever scraps I have lying
around for some, perhaps most, of the following topics, since I've worked in all
of them:

- .NET compilation chain
- Aloq
- Apache Configuration
- Assembly
- Audio & Music production
- Bash
- Bash Customization
- C
- C++
- CMake
- Clojure
- Cobol
- Django
- ESlint
- Emacs
- F#
- Git & Pre-Commit
- Go
- Graphic design
- HAML
- HTML & CSS
- Handbrake Cookbook
- Haskell
- ID3V2
- Imagemagick
- Javascript
- Kanren
- Kubernetes
- Linux Administration
- Linux Software Development
- Lisp
- Lit-HTML
- Machine learning
- Makefiles
- Markdown
- Mate / Gnome customization
- Nginx Configuration
- Org mode
- PHP
- PNM Suite
- Perl
- Podman
- Prettier
- Prolog
- Python
- Rails
- React
- Regular Expressions
- Ruby
- Rust
- SQL
- Sass
- Scheme
- Snobol
- Typescript
- Vite
- Wasm
- Web Components
- X86 Assembly
- XCB / X11 Systems Programming
- Zola

## Caveats:

This is my repository of my cheat sheets.  They're going to be idiosyncratic,
and they skip over a lot of things of which I already feel confident. If you get
use out of them, great, but they're mostly just for me.

